<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\api\lists\suyuan_operation;


use app\common\lists\BaseDataLists;
use app\common\model\suyuan_operation\OperationDisinfectLog;
use app\common\lists\ListsSearchInterface;


/**
 * OperationDisinfectLog列表
 * Class OperationDisinfectLogLists
 * @package app\api\listssuyuan_operation
 */
class OperationDisinfectLogLists extends BaseDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public function setSearch(): array
    {
        return [
            '=' => ['fence_house_id', 'animal_info_id'],

        ];
    }


    /**
     * @notes 获取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public function lists(): array
    {
        return OperationDisinfectLog::where($this->searchWhere)
            ->with(['fenceHouseAttr', 'animalInfo'])
            ->field(['id', 'fence_house_id', 'animal_info_id', 'disinfectant_name', 'concentration', 'disinfectant_method', 'disinfectant_area', 'operator', 'remark'])
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取数量
     * @return int
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public function count(): int
    {
        return OperationDisinfectLog::where($this->searchWhere)->count();
    }

}